# C-Munipack 2.0

### Description

### Options

Options are used to provide extra information to customize the execution of a command. They are specified as command arguments.

Each option has a full form starting with two dashes and an optional short form starting with one dash only. Options are case-sensitive. It is allowed to merge two or more successive short options together. Some options require a value; in this case a value is taken from a subsequent argument. When a full form is used, an option and its value can also be separated by an equal sign. When a short form is used, its value can immediately follow the option.

Whenever there is a conflict between a configuration file parameter and an option of the same meaning, the option always take precedence.

### Configuration file

Configuration files are used to set the input parameters to the process that is going to be executed by a command. Use the `-p` option to instruct the program to read the file before other command-line options are processed.

The configuration file consists of a set of parameters stored in a text file. Each parameter is stored on a separate line in the following form: `name` = `value`, all other lines are silently ignored. Parameter names are case-sensitive.

### Input files

Names of input files can be specified directly on a command-line as command arguments; it is allowed to use the usual wild-card notation. In case the input files are placed outside the working directory, you have to specify the proper path relative to the current working directory.

Alternatively, you can also prepare a list of input file names in a text file, each input file on a separate line. It is not allowed to use the wild-card notation here. Use the `-i` option to instruct the program to read the file.

### Output files

By default, output files are stored to the current working directory. Their names are derived from the command name followed by a sequential number starting by 1. Command options allows a caller to modify the default naming of output files:

The `-o` option sets the format string; it may contain a path where the files shall be stored to. Special meaning has a sequence of question marks, it is replaced by the ordinal number of a file indented by leading zeros to the same number of decimal places as the number of the question marks.

By means of the `-i` option, you can modify the initial value of a counter.

On request, the program can write a list of output files to a text file, use the `-g` option to specify a file name.

### Exit status

The command returns a zero exit status if it succeeds to process all specified files. Otherwise, it will stop immediately when an error occurs and a nonzero error code is returned.

### Home page

http://c-munipack.sourceforge.net/

### Bug reports

David Motl, dmotl@volny.cz

### Copying

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License version 2 as published by the Free Software Foundation.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

cmunipack

3

cmunipack

CCD astrophotometry software package

#### Description

The software package C-Munipack presents the complete system for reduction of images carried out by CCD camera, oriented at the observation of variable stars. The specific programs of reduction process can be called from command line or via intuitive graphical user interface. For developers a dynamic-link library with powerfull interface is available.

The project is based on the previous Munipack package, the programs have the same name, but contrary to Munipack, it is coded in C language and it contains a several new functions and tools in addition. Assignment of the command-line parameters and the configuration files is similar in both projects, exceptions are described in the project documentation.

#### Authors

The project manager David Motl is also the author of the most part of the source codes. Some algorithms originates from Munipack package, coded by Filip Hroch. Algorithms for aperture photometry originates from Daophot software by P. B. Stetson. Munifind algorithm originates from Varfind tool written by Rudolf Novak and Lukas Kral.

The package uses the FITSIO library (Dr. William Pence, NASA), and the James Clark's EXPAT library.

The english version of the documentation was written by David Motl with great help of Petr Lutcha and Jitka Kudrnacova.

#### Home page

#### Bug reports

#### Copying

muniwin

1

muniwin

graphical user interface to the C-Munipack package

#### Description

The Muniwin is a program for reduction of images carried out by a CCD camera, aimed at observation of variable stars. It provides a powerful and intuitive graphical user interface based on the excellent GTK+ package. The C-Munipack library is used for reduction and manipulation of CCD frames.

The user interface should be familiar for Munidos users, but it takes full advantage of graphical environment and therefore the interface is more comfortable and enables user an improved control over reduction process in comparison with original interface of Munidos.

Unlike the previous version 1.1, the Muniwin was completely rewritten to the C/C++ language using a portable GTK package. Thus, it is compatible with most up-to-date operating systems - GNU/Linux, Windows 2000 and later, Mac OS X and many others.

#### Authors

The project manager David Motl is also the author of the most part of the source codes. Some algorithms originates from Munipack package, coded by Filip Hroch. Algorithms for aperture photometry originates from Daophot software by P. B. Stetson. Munifind algorithm originates from Varfind tool written by Rudolf Novak and Lukas Kral.

The package uses the FITSIO library (Dr. William Pence, NASA), and the James Clark's EXPAT library.

The english version of the documentation was written by David Motl with great help of Petr Lutcha and Jitka Kudrnacova.

#### Home page

#### Bug reports

#### Copying

meanbias

1

meanbias

utility for making master-bias frames

    				meanbias
    				options
    				output-file
    				input-files

#### Description

The meanbias command compose a set of bias frames and makes one bias frame called 'master-bias'. Applying this function, you can achieve high quality correction frame and thus reducing the noise of a result. The bias correction is applied in advanced calibration scheme only, please refer to documentation about the calibration of CCD frames.

All source frames must be in the FITS format and of same dimensions. The output file is written in the FITS format too.

#### Input files

#### Options

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified directory file; see the Files section for details.

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `bitpix` = `value`

output data format (0=Auto)

#### Examples

##### `meanbias out.fts in1.fts in2.fts in3.fts`

The command computes the master-bias frame from the input files `in1.fts`, `in2.fts` a `in3.fts`; the resulting frame is stored to output file `out.fts`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

meandark

1

meandark

utility for making master-dark frames

    				meandark
    				options
    				output-file
    				input-files

#### Description

The meandark command compose a set of dark frames and makes one dark frame called 'master-dark'. Applying this function, you can achieve high quality correction frame and thus reducing the noise of a result.

All source frames must be in the FITS format and of same dimensions. Frames of the same exposition duration should be used. The output file is written in the FITS format too.

#### Input files

#### Options

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `bitpix` = `value`

output data format (0=Auto)

##### `scalable` = `value`

make scalable dark-frame (0=No, 1=Yes)

#### Examples

##### `meandark out.fts in1.fts in2.fts in3.fts`

The command computes the master-dark frame from the input files `in1.fts`, `in2.fts` a `in3.fts`; the resulting frame is stored to output file `out.fts`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

autoflat

1

autoflat

utility for making master-flat frames

    				autoflat
    				options
    				output-file
    				input-files

#### Description

The autoflat command compose a set of flat frames and makes one flat frame called 'master-flat'. Applying this function, you can achieve high quality correction frame and thus reducing the noise of a result.

All source frames must be in the FITS format and of same dimensions. Frames of the same exposition duration and color filter should be used, avoid eventual camera rotation on its mount. The output file is written in the FITS format too.

#### Input files

#### Options

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `bitpix` = `value`

output data format (0=Auto)

##### `level` = `value`

average level of output frame in ADU

#### Examples

##### `autoflat out.fts in1.fts in2.fts in3.fts`

The command computes the master-flat frame from the input files `in1.fts`, `in2.fts` a `in3.fts`; the resulting frame is stored to output file `out.fts`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

biasbat

1

biasbat

utility for bias correction

    				biasbat
    				options
    				bias-file
    				input-files

#### Description

The biasbat command applies bias correction to a set of source frames. The bias correction is applied in advanced calibration scheme only, please refer to documentation about the calibration of CCD frames.

The source frames and the bias frame must be in the FITS format and of same dimensions. The output file is written in the FITS format too.

#### Input files

#### Output files

#### Options

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-g`, `--make-dirfile` `filepath`

save list of output files to specified file, existing content of the file will be overwritten; see the Files section for details.

##### `-o`, `--output-mask` `mask`

set output file mask (default=`bout????.fts`), see the Files section for details.

##### `-c`, `--counter` `value`

set initial counter value (default=1), see the Files section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Examples

##### `biasbat -oout.fts bias.fts in.fts`

The command applies the bias correction to the input file `in.fts` using the file `bias.fts` as a correction frame. The output is written to the output file `out.fts`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

darkbat

1

darkbat

utility for dark correction

    				darkbat
    				options
    				dark-file
    				input-files

#### Description

The darkbat command applies dark correction to a set of source frames.

The source frames and the dark frame must be in the FITS format and of same dimensions. The output file is written in the FITS format too.

#### Input files

#### Output files

#### Options

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-g`, `--make-dirfile` `filepath`

save list of output files to specified file, existing content of the file will be overwritten; see the Files section for details.

##### `-o`, `--output-mask` `mask`

set output file mask (default=`dout????.fts`), see the Files section for details.

##### `-c`, `--counter` `value`

set initial counter value (default=1), see the Files section for details.

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `scaling` = `value`

dark-frame scaling (0=disabled, 1=enabled)

#### Examples

##### `darkbat -oout.fts dark.fts in.fts`

The command applies the dark correction to the input file `in.fts` using the file `dark.fts` as a correction frame. The output is written to the output file `out.fts`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

flatbat

1

flatbat

utility for flat-frame correction

    				flatbat
    				options
    				flat-file
    				input-files

#### Description

The flatbat command applies flat-field correction to a set of source frames. It means, that it divides the source frames by the flat frame pixel-by-pixel and the result is multiplied by median value of the flat frame. The resulting image is written to output file.

The source frames and also flat frame must be in FITS format and of same dimensions. The output file is in FITS format too.

#### Input files

#### Output files

#### Options

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-g`, `--make-dirfile` `filepath`

save list of output files to specified file, existing content of the file will be overwritten; see the Files section for details.

##### `-o`, `--output-mask` `mask`

set output file mask (default=`fout????.fts`), see the Files section for details.

##### `-c`, `--counter` `value`

set initial counter value (default=1), see the Files section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Examples

##### `flatbat -oout.fts flat.fts in.fts`

The command applies flat correction to `in.fts` using `flat.fts` as a correction frame. The output is written to `out.fts`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

timebat

1

timebat

utility for time correction

    				timebat
    				options
    				time-corr
    				input-files

#### Description

The timebat command applies time correction to a set of source frames. It means, that it adds given amount of time to the times of observation. The program does not touch neither the image data nor other parameters in header.

The source frames must be in the FITS format. The output file is in the FITS format too.

#### Input files

#### Output files

#### Options

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-g`, `--make-dirfile` `filepath`

save list of output files to specified file, existing content of the file will be overwritten; see the Files section for details.

##### `-o`, `--output-mask` `mask`

set output file mask (default=`tout????.fts`), see the Files section for details.

##### `-c`, `--counter` `value`

set initial counter value (default=1), see the Files section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Examples

##### `timebat -oout.fts 43.512 in.fts`

The command shifts time of observation of CCD frame stored in the file `in.fts` by 43 seconds and 512 miliseconds to the future. The output is written to file `out.fts`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

airmass

1

airmass

utility for computing air-mass coefficient

    				airmass
    				options
    				input-files

    				airmass
    				options
    				-j julian-date

#### Description

The airmass command computes value of air-mass coefficient (X) for given Julian date, object's coordinates and observer's coordinates. It may also append the values to a set of measurements stored in a text file.

When the `-j` option is present on the command line, the value of air-mass coefficient is printed to the standard output stream.

If one or more file names are present on the command line, each source file given is processed line by line, the program expects the JD value in the first column, which must be divided at least one of common used dividers (semicolon, comma, space, tab char, ...). The JD value can be in full (2453xxx.x) or short (53xxx.x) form. Decimal places must be separated by point, not comma. The value of air-mass coefficient is computed and appended to the end of the line. If the line starts with the text JD, it is considered to be a table header and the text AIRMASS is appended to the end of the line. All other lines which do not fit to any of previous rules are copied to the output file without modification.

#### Input files

#### Output files

#### Options

##### `-j`, `--julian-date` `jd`

compute and print air-mass coefficient for given Julian date. Do not combine this option with input file names.

##### `-a`, `--right-ascension` `hhmmss`

right ascension of object in hours, minutes and seconds

##### `-d`, `--declination` `-ddmmss`

declination of object in degrees, minutes and seconds

##### `-l`, `--longitude` `dddmmss`

longitude of observer in degrees, minutes and seconds; positive values for a location to the east of zero meridian, negative values for a location to the west of zero meridian.

##### `-b`, `--latitude` `-ddmmss`

latitude of observer in degrees, minutes and seconds; positive values for a location to the north of equator, negative values for a location to the south of equator.

##### `--altitude`

compute and print also the altitude of the object in degrees.

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-g`, `--make-dirfile` `filepath`

save list of output files to specified file, existing content of the file will be overwritten; see the Files section for details.

##### `-o`, `--output-mask` `mask`

set output file mask (default=`amass????.dat`), see the Files section for details.

##### `-c`, `--counter` `value`

set initial counter value (default=1), see the Files section for details.

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `right-ascension` = `hhmmss`

right ascension of object in hours, minutes and seconds

##### `declination` = `-ddmmss`

declination of object in degrees, minutes and seconds

##### `longitude` = `dddmmss`

longitude of observer in degrees, minutes and seconds; positive values for a location to the east of zero meridian, negative values for a location to the west of zero meridian.

##### `latitude` = `-ddmmss`

latitude of observer in degrees, minutes and seconds; positive values for a location to the north of equator, negative values for a location to the south of equator.

#### Examples

##### `airmass -l164000 -b491300 -a182932 -d223424 -j2452763.5670`

The command computes and prints value of air-mass coefficient to the standard output. The object's coordinates are R.A. = 18h 29m 32s, DEC. = +22d 34m 24s, the observer's coordinates are LON. = 16d 40m to the east of the zero meridian and LAT. = 49d 13m to the north of the equator. Julian date of observation is 2452763.5670.

##### `airmass -l164000 -b491300 -a182932 -d223424 -oamass.dat table.dat`

The command adds values of air-mass coefficient to the table stored in `table.dat` file and the resulting table stores in `amass.dat` file. The object's and observer's coordinates are the same as in previous example.

#### Exit status

#### Home page

#### Bug reports

#### Copying

helcor

1

helcor

utility for computing heliocentric correction

    				helcor
    				options
    				input-files

    				helcor
    				options
    				-j julian-date

#### Description

The helcor command computes value of heliocentric correction for given Julian date and object's coordinates. It may also append the values to a set of measurements stored in a text file.

When the `-j` option is present on the command line, the value of heliocentric correction is printed to the standard output stream.

If one or more file names are present on the command line, each source file given is processed line by line, the program expects the JD value in the first column, which must be divided at least one of common used dividers (semicolon, comma, space, tab char, ...). The JD value can be in full (2453xxx.x) or short (53xxx.x) form. Decimal places must be separated by point, not comma. The Julian date is replaced by a corrected date and the value of correction may be optionally appended to the end of the line. If the line starts with the text JD, it is considered to be a table header and it is changed to JDHEL or JDGEO. The text HELCOR is optionally appended to the end of the line. All other lines which do not fit to any of previous rules are copied to the output file without modification.

#### Input files

#### Output files

#### Options

##### `-j`, `--julian-date` `jd`

compute and print air-mass coefficient for given Julian date. Do not combine this option with input file names.

##### `-a`, `--right-ascension` `hhmmss`

right ascension of object in hours, minutes and seconds

##### `-d`, `--declination` `-ddmmss`

declination of object in degrees, minutes and seconds

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-g`, `--make-dirfile` `filepath`

save list of output files to specified file, existing content of the file will be overwritten; see the Files section for details.

##### `-o`, `--output-mask` `mask`

set output file mask (default=`hcor????.dat`), see the Files section for details.

##### `-c`, `--counter` `value`

set initial counter value (default=1), see the Files section for details.

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `right-ascension` = `hhmmss`

right ascension of object in hours, minutes and seconds

##### `declination` = `-ddmmss`

declination of object in degrees, minutes and seconds

#### Examples

##### `helcor -a182932 -d223424 -j2452763.5670`

The command computes and prints value of heliocentric correction to the standard output. The object's coordinates are R.A. = 18h 29m 32s, DEC. = +22d 34m 24s. Julian date of observation is 2452763.5670.

##### `helcor -a182932 -d223424 -ohcor.dat table.dat`

The command performs the heliocentric correction to the table stored in `table.dat` file and the resulting table stores in `hcor.dat` file. The object's coordinates are the same as in previous example.

#### Exit status

#### Home page

#### Bug reports

#### Copying

kombine

1

kombine

utility for making combining CCD frames

    				kombine
    				options
    				output-file
    				input-files

#### Description

The kombine command combines a set of CCD frames to a single CCD frame. The source frames should be corrected already. The source frames are shifted by the offset stored in the corresponding photometry file with offset values. The photometry files are products of the Munimatch utility. Then, the resulting values are computed pixel by pixel by means of the mean algorithm (sum divided by total number of frames). Pixels in those regions, which are not covered by all frames, are set to zero. Pixels, which are zero on at least one of the source frames, are set always to zero. Pixels, which are overexposed on one the source frames, are set always to maximal value (655535 ADU).

All source frames must be in FITS format and of same dimensions. Frames of the same color filter and exposition duration should be used. The output file is in FITS format too.

#### Input files

#### Options

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `bitpix` = `value`

output data format (0=Auto)

#### Examples

##### `kombine output.fts test1.fts test2.fts test3.fts`

The command computes the combined frame from the files `test1.fts`, `test2.fts` a `test3.fts`; the resulting frame is stored to `output.fts`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

konve

1

konve

utility for conversion of CCD frames to the FITS format

    				konve
    				options
    				input-files

#### Description

The konve command converts CCD frames from the format used by camera controlling software to FITS format. The correction of time of observation or image flipping can be applied also.

The program can be run in several modes, the mode is selected by command-line parameters. Besides the usual conversion mode, it allows printing header information of source files in short or detailed form. You can convert header only while not copying the image. Additional information, which shall be written to the output files can be given in parameter file.

Current version of program supports reading SBIG (ST-xx) compressed and uncompressed files and the FITS files also. Note, that you can use FITS to FITS conversion for gathering files from many locations into one directory. It will solve the file name collisions.

#### Input files

#### Output files

#### Options

##### `-n`, `--print-info`

print short info about frames; don't make any output file.

##### `-e`, `--print-header`

print content of the header; don't make any output file.

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-e`, `--print-header` `value`

flip image; value can be 'x', 'y' or 'xy'

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-g`, `--make-dirfile` `filepath`

save list of output files to specified file, existing content of the file will be overwritten; see the Files section for details.

##### `-o`, `--output-mask` `mask`

set output file mask (default=`kout????.fts`), see the Files section for details.

##### `-c`, `--counter` `value`

set initial counter value (default=1), see the Files section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `flip-image` = `xy`

flip image (value can be 'x', 'y' or 'xy')

##### `rotate-image` = `value`

rotate image by angle in degrees (0, 90, 180 or 270)

#### Examples

##### `konve -oout?.fts test1.st7 test2.st7 test3.st7`

The command converts the files `test1.st7`, `test2.st7` and `test3.st7` and writes the output to the files: `out1.fts`, `out2.fts` and `out3.fts`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

muniphot

1

muniphot

utility for photometry of CCD frames

    				muniphot
    				options
    				input-files

#### Description

The muniphot command applies photometry to a single frame or a set of CCD frames. The output is written to so-called photometry files.

Current version uses aperture photometry algorithm only. All source frames must be in the FITS format.

#### Input files

#### Output files

#### Options

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-g`, `--make-dirfile` `filepath`

save list of output files to specified file, existing content of the file will be overwritten; see the Files section for details.

##### `-o`, `--output-mask` `mask`

set output file mask (default=`kout????.fts`), see the Files section for details.

##### `-c`, `--counter` `value`

set initial counter value (default=1), see the Files section for details.

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `readns` = `value`

Readout noise

##### `gain` = `value`

ADC gain

##### `minvalue` = `value`

Min. pixel value in ADU

##### `maxvalue` = `value`

Max. pixel value in ADU

##### `fwhm` = `value`

Expected FWHM in pixels

##### `thresh` = `value`

Detection threshold

##### `minsharp` = `value`

Low sharpness cutoff

##### `maxsharp` = `value`

High sharpness cutoff

##### `minround` = `value`

Low roundness cutoff

##### `maxround` = `value`

High roundness cutoff

##### `skyinner` = `value`

Inner radius of sky aperture

##### `skyouter` = `value`

Outer radius of sky aperture

##### `apertures` = `value,value,...`

Comma separated list of radii of star apertures

##### `maxstar` = `value`

Max. number of stars

#### Examples

##### `muniphot -oout?.pht test1.fts test2.fts test3.fts`

The command performs photometry to the files `test1.fts`, `test2.fts` and `test3.st7` and writes the output to the files: `out1.pht`, `out2.pht` and `out3.pht`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

munimatch

1

munimatch

utility for finding matching photometry files

    				munimatch
    				options
    				reference-file
    				input-files

#### Description

The munimatch command finds corresponding stars in two photometry files. One file is referred to as a reference file, the second one is called source file. The output of the matching process is the photometry file, which the stars from source file is written in, but their order is changed, so corresponding stars are on the same indexes in output and reference files. Instead of a reference file, which is usually one frame from a sequence being processed, a catalog file in XML format can be used.

The source and output files have to be in photometry file format. The reference file should be in photometry or catalog file format, optionally. If a set of files is processed, then the reference file is common for all sources.

#### Input files

#### Output files

#### Options

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-g`, `--make-dirfile` `filepath`

save list of output files to specified file, existing content of the file will be overwritten; see the Files section for details.

##### `-o`, `--output-mask` `mask`

set output file mask (default=`%.mat`), see the Files section for details.

##### `-c`, `--counter` `value`

set initial counter value (default=1), see the Files section for details.

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `max_stars` = `value`

Max. number of input stars

##### `vertices` = `value`

Number of polygon vertices

##### `clip_thresh` = `value`

Clipping threshold

##### `sp_fields` = `value`

Matching method

##### `sp_maxoffset` = `value`

Max. offset for sparse fields

#### Examples

##### `munimatch -oout.mat ref.pht in.pht`

The command matches file `in.pht` as a source file and `ref.pht` as reference file and the writes output to `out.mat`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

munilist

1

munilist

utility for making listings from a set of photometry files

    				munilist
    				options
    				output-file
    				input-files

#### Description

The munilist command reads files generated by other commands and generates a table according to the format specified using command line parameters or a configuration file. The basic mode is creating a light curve where the munilist utility is used to read matched photometry files and creates the table of magnitudes of selected stars in the dependence on a time. The table is written to a output file in text format. The format of the table depends on given parameters and on the number of selected stars. It is usually the last step of reduction process. Other modes are designed to print a table of objects from a reference photometry file or a catalogue file.

The list of stars is given on command line, the stars are identified by index number according to their cross-reference identifiers.

#### Input files

#### Options

##### `--light-curve`

make a light curve (default)

##### `--chart`

make a table of objects from a photometry file or a catalogue file. Only the first input file is processed.

##### `--obj-plot`

takes an object identification using the 'object' parameter and makes a table containing object properties (e.g. FWHM) from each given input photometry file.

##### `--track-list`

make table of frame offsets w.r.t. the reference frame or a catalogue file. The table contains relative offsets in X and Y axis of the frame center in pixels.

##### `--diff-mag`

make table of differential instrumental magnitudes (default)

##### `--inst-mag`

make table of absolute instrumental magnitudes

##### `--object` `star`

object identifier for 'obj-plot' output.

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-a`, `--aperture` `value`

Aperture identifier (default=1)

##### `-v`, `--variable-stars` `star...`

comma separated list of identifier(s) of the variable star(s)

##### `-c`, `--comparison-stars` `star...`

comma separated list of identifier(s) of the comparison star(s)

##### `-e`, `--check-stars` `star...`

comma separated list of identifier(s) of the check star(s)

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `aperture` = `value`

Aperture identifier (default=1)

##### `var` = `star...`

comma separated list of identifier(s) of the variable star(s)

##### `comp` = `star...`

comma separated list of identifier(s) of the comparison star(s)

##### `check` = `star...`

comma separated list of identifier(s) of the check star(s)

#### Examples

##### `munilist output.dat test1.mat test2.mat test3.mat`

The command makes table of brightness of the star #2 (stored on second position in photometry files) relative to the star #3 for photometry files `test1.mat`, `test2.mat` a `test3.mat`; the resulting frame is stored to `output.dat`.

#### Exit status

#### Home page

#### Bug reports

#### Copying

munifind

1

munifind

utility for finding unknown variable stars

    				munifind
    				options
    				output-file
    				input-files

#### Description

The munifind command reads matched photometry files and creates the table of standard deviations of magnitudes in the dependence on a mean magnitude. Such table is used to detect unknown variable stars on a set of CCD frames. The table is written to a output file in text format.

#### Input files

#### Options

##### `-s`, `--set` `name=value`

set value of configuration parameter

##### `-a`, `--aperture` `value`

Aperture identifier (default=1)

##### `-c`, `--comparison-star` `star`

identifier of the comparison star or negative value for automatic detection (default=-1)

##### `-i`, `--read-dirfile` `filepath`

read list of input files from specified file; see the Files section for details.

##### `-p`, `--configuration-file` `filepath`

read parameters from given configuration file. See the Configuration file section for details.

##### `-h`, `--help`

print list of command-line parameters

##### `-q`, `--quiet`

quiet mode; suppress all messages

##### `--version`

print software version string

##### `--licence`

print software licence

##### `--verbose`

verbose mode; print debug messages

#### Configuration file

##### `aperture` = `value`

Aperture identifier (default=1)

##### `comp` = `star`

identifier of the comparison star or negative value for automatic detection (default=-1)

##### `threshold` = `value`

cfraction of good measurements required, in percents (default=60)

#### Examples

##### `munifind output.dat test1.mat test2.mat test3.mat`

The command makes table of brightness of the star #2 (stored on second position in photometry files) relative to the star #3 for photometry files `test1.mat`, `test2.mat` a `test3.mat`; the resulting frame is stored to `output.dat`.

#### Exit status

#### Home page

#### Bug reports

#### Copying